Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class CommandNameCompleter

- org.codehaus.groovy.tools.shell.completion.CommandNameCompleter

- Completor for the command.names

  Authors:
    Jason Dillon

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandNameCompleter (CommandRegistry registry)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `SortedSet<String>` | `getCandidates()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleCompletor` | `add, addCandidateString, complete, getCandidates, leftShift, setCandidateStrings, setCandidates`

- - ### Constructor Detail

    - #### CommandNameCompleter(CommandRegistry registry)

  - ### Method Detail

    - #### @Override SortedSet<String> getCandidates()